export declare function isMermaidAvailable(): Promise<boolean>;
export declare function isDockerAvailable(): Promise<boolean>;
export declare function generateFlowMarkdownFile(flowName: string, flowXml: string, outputFlowMdFile: string, options?: {
    collapsedDetails: boolean;
    describeWithAi: boolean;
    flowDependencies: any;
}): Promise<boolean>;
export declare function generateMarkdownFileWithMermaid(outputFlowMdFileIn: string, outputFlowMdFileOut: string, mermaidModes?: string[] | null, withPdf?: boolean): Promise<boolean>;
export declare function generateMarkdownFileWithMermaidDocker(outputFlowMdFileIn: string, outputFlowMdFileOut: string): Promise<boolean>;
export declare function generateMarkdownFileWithMermaidCli(outputFlowMdFileIn: string, outputFlowMdFileOut: string): Promise<boolean>;
export declare function getMermaidExtraClasses(): string;
export declare function generateFlowVisualGitDiff(flowFile: any, commitBefore: string, commitAfter: string, options?: {
    mermaidMd: boolean;
    svgMd: boolean;
    pngMd: boolean;
    debug: boolean;
}): Promise<any>;
export declare function generateHistoryDiffMarkdown(flowFile: string, debugMode: boolean): Promise<string>;
export declare function removeMermaidLinks(messageBody: string): string;
